libzypp: zypp::ui::StatusBackup Class Reference

libzypp 17.36.6

Public Types | Public Member Functions | Private Attributes | List of all members
zypp::ui::StatusBackup Class Reference

Simple ResStatus backup stack. More...

## Public Types
using | Causer = ResStatus::TransactByValue
using | Action = bool (StatusBackup::*)(const PoolItem &, Causer)
| Highlevel action.

## Public Member Functions
ResStatus & | backup (ResStatus &status_r)
| Backup status.
ResStatus & | backup (const PoolItem &pi_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
ResStatus & | operator() (ResStatus &status_r)
| Backup status.
ResStatus & | operator() (const PoolItem &pi_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
bool | restore ()
| Restore all status.
bool | setTransact (const PoolItem &pi_r, bool yesno_r, Causer causer_r)
| lowlevel `ResStatus::setTransact`
bool | setLock (const PoolItem &pi_r, bool yesno_r, Causer causer_r)
| lowlevel `ResStatus::setLock`
bool | setTransactTrue (const PoolItem &pi_r, Causer causer_r)
| lowlevel `ResStatus::setTransact(true)`.
bool | setTransactFalse (const PoolItem &pi_r, Causer causer_r)
| lowlevel `ResStatus::setTransact(false)`.
bool | transact (const PoolItem &pi_r, Causer causer_r)
| highevel set transact (force unlock).
bool | lock (const PoolItem &pi_r, Causer causer_r)
| highlevel set locked.
bool | unlock (const PoolItem &pi_r, Causer causer_r)
| highlevel unlock (also unsets transact).
bool | unsetNonMultiTransact (const PoolItem &pi_r, Causer causer_r)
| highlevel remove transact from non-multiversion packages.
bool | unsetMultiTransact (const PoolItem &pi_r, Causer causer_r)
| highlevel remove transact from multiversion packages.
template<class TIter>
bool | forEach (TIter begin_r, TIter end_r, Action action_r, Causer causer_r)
| Highlevel action on range of items.

## Private Attributes
std::vector< resstatus::StatusBackup > | _backup

## Detailed Description

Simple ResStatus backup stack.

restore simply rewinds all remembered status.

Definition at line 29 of file SelectableImpl.cc.

## Member Typedef Documentation

## ◆ Causer

using zypp::ui::StatusBackup::Causer = ResStatus::TransactByValue

Definition at line 32 of file SelectableImpl.cc.

## ◆ Action

using zypp::ui::StatusBackup::Action = bool (StatusBackup::*)(const PoolItem &, Causer)

Highlevel action.

Definition at line 128 of file SelectableImpl.cc.

## Member Function Documentation

## ◆ backup() [1/2]

ResStatus & zypp::ui::StatusBackup::backup | ( | ResStatus & | status_r | ) |
| inline

Backup status.

Definition at line 36 of file SelectableImpl.cc.

## ◆ backup() [2/2]

ResStatus & zypp::ui::StatusBackup::backup | ( | const PoolItem & | pi_r | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 42 of file SelectableImpl.cc.

## ◆ operator()() [1/2]

ResStatus & zypp::ui::StatusBackup::operator() | ( | ResStatus & | status_r | ) |
| inline

Backup status.

Definition at line 46 of file SelectableImpl.cc.

## ◆ operator()() [2/2]

ResStatus & zypp::ui::StatusBackup::operator() | ( | const PoolItem & | pi_r | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 49 of file SelectableImpl.cc.

## ◆ restore()

bool zypp::ui::StatusBackup::restore | ( |  | ) |
| inline

Restore all status.

Definition at line 53 of file SelectableImpl.cc.

## ◆ setTransact()

bool zypp::ui::StatusBackup::setTransact | ( | const PoolItem & | pi_r,
|  | bool | yesno_r,
|  | Causer | causer_r )
| inline

lowlevel `ResStatus::setTransact`

Definition at line 62 of file SelectableImpl.cc.

## ◆ setLock()

bool zypp::ui::StatusBackup::setLock | ( | const PoolItem & | pi_r,
|  | bool | yesno_r,
|  | Causer | causer_r )
| inline

lowlevel `ResStatus::setLock`

Definition at line 66 of file SelectableImpl.cc.

## ◆ setTransactTrue()

bool zypp::ui::StatusBackup::setTransactTrue | ( | const PoolItem & | pi_r,
|  | Causer | causer_r )
| inline

lowlevel `ResStatus::setTransact(true)`.

Definition at line 70 of file SelectableImpl.cc.

## ◆ setTransactFalse()

bool zypp::ui::StatusBackup::setTransactFalse | ( | const PoolItem & | pi_r,
|  | Causer | causer_r )
| inline

lowlevel `ResStatus::setTransact(false)`.

Definition at line 74 of file SelectableImpl.cc.

## ◆ transact()

bool zypp::ui::StatusBackup::transact | ( | const PoolItem & | pi_r,
|  | Causer | causer_r )
| inline

highevel set transact (force unlock).

Definition at line 79 of file SelectableImpl.cc.

## ◆ lock()

bool zypp::ui::StatusBackup::lock | ( | const PoolItem & | pi_r,
|  | Causer | causer_r )
| inline

highlevel set locked.

Definition at line 88 of file SelectableImpl.cc.

## ◆ unlock()

bool zypp::ui::StatusBackup::unlock | ( | const PoolItem & | pi_r,
|  | Causer | causer_r )
| inline

highlevel unlock (also unsets transact).

Definition at line 97 of file SelectableImpl.cc.

## ◆ unsetNonMultiTransact()

bool zypp::ui::StatusBackup::unsetNonMultiTransact | ( | const PoolItem & | pi_r,
|  | Causer | causer_r )
| inline

highlevel remove transact from non-multiversion packages.

Definition at line 106 of file SelectableImpl.cc.

## ◆ unsetMultiTransact()

bool zypp::ui::StatusBackup::unsetMultiTransact | ( | const PoolItem & | pi_r,
|  | Causer | causer_r )
| inline

highlevel remove transact from multiversion packages.

Definition at line 117 of file SelectableImpl.cc.

## ◆ forEach()

template<class TIter>

bool zypp::ui::StatusBackup::forEach | ( | TIter | begin_r,
|  | TIter | end_r,
|  | Action | action_r,
|  | Causer | causer_r )
| inline

Highlevel action on range of items.

Definition at line 132 of file SelectableImpl.cc.

## Member Data Documentation

## ◆ _backup

std::vector<resstatus::StatusBackup> zypp::ui::StatusBackup::_backup
| private

Definition at line 141 of file SelectableImpl.cc.

The documentation for this class was generated from the following file:

- zypp/ui/SelectableImpl.cc